Get the caller's membership info in an organization

GET/auth/v1/memberships/{orgId}/info

Returns the authenticated user's membership info (email) for an organization, with permission-denied when not a member.

Authorization<token>

In: header

Path Parameters

orgId*string

Organization ID

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.GetInternalMembershipInfoResponse",
  "$ref-value": {
    "properties": {
      "email": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/auth/v1/memberships/string/info"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.GetInternalMembershipInfoResponse",
  "$ref-value": {
    "properties": {
      "email": {
        "type": "string"
      }
    },
    "type": "object"
  }
}